---
title: distant example
slug: >-
  MDN/Contribute/Howto/Create_an_interactive_exercise_to_help_learning_the_web/distant_example
---
<div>{{MDNSidebar}}</div><div class="hiden">
<h2 id="The_example">The example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div class="square"&gt;
  &lt;p class="color"&gt;#000000&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">body {
  padding: 10px;
  margin : 0;
}

.square {
  width  : 80px;
  height : 80px;
  padding: 10px;
  background-color: black;
  color: white;
  text-align: center;
}

.color {
  width: 60px;
  text-transform: uppercase;
}
</pre>

<h3 id="JS">JS</h3>

<pre class="brush: js">function setColor(color) {
  document.querySelector('.square').style.backgroundColor = '#' + color;
  document.querySelector('.color').textContent = '#' + color;
}

function getRandomColor() {
  var color = Math.floor(Math.random() * 16777215);
  return color.toString(16);
}

document.addEventListener('click', function (e) {
  setColor(getRandomColor());
});
</pre>
</div>

<h2 id="Live_result">Live result</h2>

<p>{{EmbedLiveSample('The_example', 120, 120)}}</p>
